Export Issue Overview Csv

posthttps://app.fossa.com/api/issue_counts/export

Exports the issues from the current set of Issue Overview data.

Query parameters

startstring <date-time>

The start date to pull Issue Overview data for. Defaults to 30 days before the end date.

endstring <date-time>

The start date to pull Issue Overview data for. Defaults to the current date and time.

labels[]integer[]

The project labels to filter Issue Overview data to.

categoryenum

The issue category to filter Issue Overview data to. If no category is chosen, it will fetch data for all issue categories.

licensingvulnerabilityquality
projectIdstring

The specific project ID to filter Issue Overview data to.

teamIdstring | number[]

Filter by one or more team IDs. Providing "null" will return all unassigned projects.

Responses

200Okay
jobTokenstringrequired

The job token used by the frontend when polling for updates.

taskstringrequired

The name of the background task.

400Bad Request
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

403Forbidden
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

POST https://app.fossa.com/api/issue_counts/export
curl --request POST \  --url 'https://app.fossa.com/api/issue_counts/export' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Query params

startstring

The start date to pull Issue Overview data for. Defaults to 30 days before the end date.

endstring

The start date to pull Issue Overview data for. Defaults to the current date and time.

labels[]array

The project labels to filter Issue Overview data to.

categoryenum

The issue category to filter Issue Overview data to. If no category is chosen, it will fetch data for all issue categories.

projectIdstring

The specific project ID to filter Issue Overview data to.

teamIdstring

Filter by one or more team IDs. Providing "null" will return all unassigned projects.